/**
 * 奖金周期表list.js
 */
shr.defineClass("shr.custom.BonusCycleList", shr.framework.List, {
	initalizeDOM: function () {
		shr.custom.BonusCycleList.superClass.initalizeDOM.call(this);
	},
	/**
	 * 查看
	 */
	viewAction: function (billId, rowid) {
		// 编辑界面禁用，则直接返回
		if (this.editViewDisable) {
			return;
		}
		this.reloadPage({
			//uipk: "com.kingdee.eas.custom.projectbonus.app.BonusCycleBusDepProject.list",
			uipk: "com.kingdee.eas.custom.projectbonus.app.BonusCycle.dynamicList",
			//uipk: "BonusCycleBusDepProject.wizard",
			parentId: billId,
			permItemId: shr.getCurrentPagePermItemId()
		});
	},
	/**
	 * 修改周期名称
	 */
	updateCycleNameAction: function () {
		var _self = this;
		var billId = this.getSelectedIds();
		if (billId != '' && billId != undefined) {
			this.reloadPage({
				uipk: this.getEditUIPK(),
				billId: billId,
				method: 'edit'
			});
		}
	},
});

